summaryrefslogtreecommitdiffstats
path: root/jjb/functest/functest-loop.sh
diff options
context:
space:
mode:
authorjose.lausuch <jose.lausuch@ericsson.com>2016-08-30 16:49:36 +0200
committerjose.lausuch <jose.lausuch@ericsson.com>2016-08-31 14:20:53 +0200
commit1a68455d59c4161997f706729cd70f31c9ab679d (patch)
tree67119e4d1342387de10dc9ea891669c01d4f3772 /jjb/functest/functest-loop.sh
parente977155378fcbbd0826fa4a192b25273648d3782 (diff)
[Functest] Push logs to artifacts regardless if loop fails
This prevents from exiting the job without pushing the logs to artifacts if the functest loop fails. JIRA: FUNCTEST-443 Change-Id: I6925b5855326df809dbce9f389b10be8a00cf8de Signed-off-by: jose.lausuch <jose.lausuch@ericsson.com>
Diffstat (limited to 'jjb/functest/functest-loop.sh')
-rwxr-xr-xjjb/functest/functest-loop.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/jjb/functest/functest-loop.sh b/jjb/functest/functest-loop.sh
index 5abddfd84..73856235f 100755
--- a/jjb/functest/functest-loop.sh
+++ b/jjb/functest/functest-loop.sh
@@ -10,3 +10,9 @@ else
fi
container_id=$(docker ps -a | grep opnfv/functest | awk '{print $1}' | head -1)
docker exec $container_id $cmd
+
+ret_value=$?
+ret_val_file="${HOME}/opnfv/functest/results/${branch}/return_value"
+echo ${ret_value}>${ret_val_file}
+
+exit 0 \ No newline at end of file